Bug 21929 - Typo in orderreceive.tt
Summary: Typo in orderreceive.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Andrew Isherwood
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 21387
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-30 15:07 UTC by Andrew Isherwood
Modified: 2019-01-08 07:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21929: Fix typo (1.72 KB, patch)
2018-11-30 15:10 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 21929 - Typo in orderreceive.tt (1.61 KB, patch)
2018-12-01 10:06 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 21929 - Typo in orderreceive.tt (1.65 KB, patch)
2018-12-04 13:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21929: Typo in orderreceive.tt (1.75 KB, patch)
2018-12-04 13:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Isherwood 2018-11-30 15:07:46 UTC
Line 300 of orderreceive.tt has a typo:

<input type="text" size="20" name="unitprice" id="unitprice" value="[% unitprice | $Price on_editing => 1 | html %]" /> <span lass="hint">[% IF (invoiceincgst == 1) %](tax inclusive)[% ELSE %](tax exclusive)[% END %]</span>

Note the 'lass' instead of 'class'
Comment 1 Andrew Isherwood 2018-11-30 15:10:50 UTC
Created attachment 82796 [details] [review]
Bug 21929: Fix typo

lass -> class

Test plan:
- Apply patch
- Load orderreceive.pl
=> TEST: Observe that the Unit Price hint has the "hint" class CSS applied
Comment 2 Pierre-Marc Thibault 2018-11-30 19:20:36 UTC
The patch doesn't apply. Git shows this :

fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/acqui/orderreceive.tt).
error: could not build fake ancestor
Comment 3 Andrew Isherwood 2018-12-01 10:06:13 UTC
Apologies Pierre-Marc, a mistake on my part. I'm about to attach a fixed patch.
Comment 4 Andrew Isherwood 2018-12-01 10:06:58 UTC
Created attachment 82821 [details] [review]
Bug 21929 - Typo in orderreceive.tt

lass -> class
Comment 5 Andrew Isherwood 2018-12-01 10:07:29 UTC
Test plan:
- Apply patch
- Load orderreceive.pl
=> TEST: Observe that the Unit Price hint has the "hint" class CSS applied
Comment 6 Owen Leonard 2018-12-04 13:38:28 UTC
Created attachment 82836 [details] [review]
Bug 21929 - Typo in orderreceive.tt

lass -> class

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Marcel de Rooy 2018-12-04 13:44:59 UTC
Created attachment 82837 [details] [review]
Bug 21929: Typo in orderreceive.tt

lass -> class

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Marcel de Rooy 2018-12-04 13:45:28 UTC
Fixed qa tools warn:

* Commit title does not start with 'Bug XXXXX: ' - b54d50a
Comment 9 Nick Clemens 2018-12-26 20:51:38 UTC
Awesome work all!

Pushed to master for 19.05
Comment 10 Martin Renvoize 2019-01-03 14:27:09 UTC
Pushed to 18.11.x for 18.11.02
Comment 11 Lucas Gass 2019-01-04 21:51:48 UTC
backported to 18.05 for 18.05.08
Comment 12 Fridolin SOMERS 2019-01-08 07:05:13 UTC
Depends on Bug 21387 not in 17.11.x